syndication

PUT /v1/syndication/plans/{planId}

Change a plan's channels or behaviour.

모든 syndication 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<post, recipe, org_default>> }'

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.

매개변수

이름유형필수설명
planId (path)string

요청 본문

이름유형필수설명
scopestring<post, recipe, org_default>
post_idstring아니요
recipe_idstring아니요
enabledboolean아니요
write_modestring<ai_per_channel, one_text>아니요
approval_modestring<hold, send>아니요
connection_idsstring[]아니요

응답

이름유형필수설명
idstring
scopestring<post, recipe, org_default>Most specific wins — an article's own plan beats its recipe's beats the org default.
post_idstring
recipe_idstring
enabledboolean
write_modestring<ai_per_channel, one_text>⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing.
approval_modestring<hold, send>⚖️ Owner ruling 2026-08-20 — hold for approval by default.
channelsSyndicationPlanChannel[]
created_atstring

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404